- Creates a new account delegation process record that does not already exist.
This method will auto-generate an ID and create a new account delegation process. If an ID is specified for the account delegation process, an error will be thrown.
The account delegation process that you would like to be saved.
The email sent to the contact who needs to approve delegate access
The email sent once a contact approves delegate access
If this record was loaded via bulk, the timestamp when the record was processed
If this record was loaded via bulk, the ID of the bulk load process
If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key
If this record was loaded via bulk, the record number in the source file
If this record was loaded via bulk, the source file
The error associated with the calculated field
If a snapshot was restored/applies to this record, the ID of the snapshot
The date/time that this record was created, expressed in ISO-8601 date format
The ID of the user that deleted (or last tried to delete) this object
Means for passing directive information into an object processing logic
If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion
If this record was last touched by a bulk data operation, the ID of that operation
If this record was last touched by a bulk data operation, the sys_version at the time of that operation
The date/time that this record record was last modified, expressed in ISO-8601 date format
The ID of the user that last modified this record
The security context of the last insert, modify, or delete performed on this item
The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/rolodex/rolodex-v1/accountDelegationProcesses/{tenantId}
- https://rolodex.api.rhythmsoftware.comhttps://rolodex.api.rhythmsoftware.com/accountDelegationProcesses/{tenantId}
curl -i -X POST \
'https://docs.api.rhythmsoftware.com/_mock/apis/rolodex/rolodex-v1/accountDelegationProcesses/{tenantId}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"delegate_permission_request_email": {
"bcc": "string",
"body": "string",
"cc": "string",
"from": "string",
"from_name": "string",
"reply_to": "string",
"subject": "string"
},
"delegate_request_granted_email": {
"bcc": "string",
"body": "string",
"cc": "string",
"from": "string",
"from_name": "string",
"reply_to": "string",
"subject": "string"
},
"id": "string",
"is_active": true,
"name": "string",
"sys_bulk_load_at": "string",
"sys_bulk_load_id": "string",
"sys_bulk_load_pk": "string",
"sys_bulk_load_record_no": 0.1,
"sys_bulk_load_source_file": "string",
"sys_calculated_field_error": "string",
"sys_calculated_field_errors": [
{
"error": "string",
"field": "string"
}
],
"sys_configuration_snapshot_id": "string",
"sys_created_at": "2019-08-24T14:15:22Z",
"sys_created_by_id": "string",
"sys_deleted_by_id": "string",
"sys_directive": "string",
"sys_external_id": "string",
"sys_has_files_in_s3": true,
"sys_last_bulk_data_operation_id": "string",
"sys_last_bulk_data_operation_sys_version": "string",
"sys_last_modified_at": "2019-08-24T14:15:22Z",
"sys_last_modified_by_id": "string",
"sys_last_security_context": {},
"sys_locked": true,
"sys_snapshot_base_version": 0.1,
"sys_version": 0.1
}'The account delegation process was saved successfully.
The email sent to the contact who needs to approve delegate access
The email sent once a contact approves delegate access
If this record was loaded via bulk, the timestamp when the record was processed
If this record was loaded via bulk, the ID of the bulk load process
If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key
If this record was loaded via bulk, the record number in the source file
If this record was loaded via bulk, the source file
The error associated with the calculated field
If a snapshot was restored/applies to this record, the ID of the snapshot
The date/time that this record was created, expressed in ISO-8601 date format
The ID of the user that deleted (or last tried to delete) this object
Means for passing directive information into an object processing logic
If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion
If this record was last touched by a bulk data operation, the ID of that operation
If this record was last touched by a bulk data operation, the sys_version at the time of that operation
The date/time that this record record was last modified, expressed in ISO-8601 date format
The ID of the user that last modified this record
The security context of the last insert, modify, or delete performed on this item
The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox
{ "delegate_permission_request_email": { "bcc": "string", "body": "string", "cc": "string", "from": "string", "from_name": "string", "reply_to": "string", "subject": "string" }, "delegate_request_granted_email": { "bcc": "string", "body": "string", "cc": "string", "from": "string", "from_name": "string", "reply_to": "string", "subject": "string" }, "id": "string", "is_active": true, "name": "string", "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_calculated_field_error": "string", "sys_calculated_field_errors": [ { … } ], "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_has_files_in_s3": true, "sys_last_bulk_data_operation_id": "string", "sys_last_bulk_data_operation_sys_version": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_last_security_context": {}, "sys_locked": true, "sys_snapshot_base_version": 0.1, "sys_version": 0.1 }